Skip to main content
GET
/
api
/
transaction
List transactions
curl --request GET \
  --url https://api.use3p.com/api/transaction \
  --header 'Authorization: Bearer <token>'
{
  "data": [
    {
      "amount": 123,
      "created_at": "<string>",
      "id": "<string>",
      "meta": {
        "email": "<string>",
        "name": "<string>",
        "others": {},
        "phone": "<string>",
        "product": "<string>",
        "product_description": "<string>",
        "redirect_url": "<string>"
      },
      "provider": "flutterwave",
      "reference": "<string>",
      "status": "pending",
      "type": "debit",
      "updated_at": "<string>"
    }
  ],
  "total": 123
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Query Parameters

limit
integer
default:10
offset
integer
default:0

Response

200 - application/json

Transactions listed successfully

data
object[]
total
integer